Name:          python-cairocffi
Version:       1.2.0
Release:       1mamba
Summary:       A CFFI_-based drop-in replacement for Pycairo_
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/cairocffi
Source:        https://pypi.debian.net/cairocffi/cairocffi-%{version}.tar.gz
#Source:        https://pypi.python.org/packages/source/c/cairocffi/cairocffi-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.7.4
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n cairocffi-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/cairocffi/_generated/
%{python_sitearch}/cairocffi/_generated/*
%doc LICENSE

%changelog
* Sat Oct 31 2020 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Sun Sep 15 2019 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2

* Sat Aug 18 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Fri Aug 07 2015 Automatic Build System <autodist@mambasoft.it> 0.7.2-1mamba
- automatic version update by autodist

* Thu Aug 06 2015 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic version update by autodist

* Mon Jun 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7-1mamba
- package created using the webbuild interface
